import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ModalController, NavParams, PopoverController } from '@ionic/angular';
import { AttachmentsService } from 'src/app/services/attachments.service';
import { ProcessesService } from 'src/app/services/processes.service';
import { ToastService } from 'src/app/services/toast.service';
import { Location } from '@angular/common';
import { TaskService } from 'src/app/Rules/task.service'
import { ExpedienteService } from 'src/app/Rules/expediente.service';
import { PermissionService } from 'src/app/services/worker/permission.service';

@Component({
  selector: 'app-event-details-documents-options',
  templateUrl: './event-details-documents-options.page.html',
  styleUrls: ['./event-details-documents-options.page.scss'],
})
export class EventDetailsDocumentsOptionsPage implements OnInit {

  constructor(
    public p: PermissionService,
    private modalController: ModalController,
  ) {}

  ngOnInit() {}

  close() {
    this.modalController.dismiss();
  }

  goBack() {
    this.modalController.dismiss();
  }

  async openBookMeetingModal() {
    this.modalController.dismiss({component:'openBookMeetingModal', taskAction: ''});
  }

  async openExpedientActionsModal( taskAction: any) {
    this.modalController.dismiss({component:'openExpedientActionsModal', taskAction});
  }

  async distartExpedientModal(body:any) {}

  }
